Subject: bug#23124: Two minibuffer resize related bugs

From: Eli Zaretskii <[email-masked]>
Date: Tue, 29 Mar 2016 18:25:26 +0300

> Date: Tue, 29 Mar 2016 17:12:56 +0200
> From: martin rudalics <[email-masked]>
> CC: [email-masked]
> 
>  >> (1) Save the attached foo.el file somewhere and make its first line match
>  >>       the location where you stored it.
>  >>
>  >> (2) Start Emacs with the options -Q and -l to load foo.el.
>  >>
>  >> (3) Type C-x 5 2.
>  >>
>  >> (4) Go back to the initial frame, move to the end of the last non-empty
>  >>       line after ";; (bar)" and type C-x C-e.
>  >>
>  >> At this moment "nothing" happens here (Bug#1).  When I now switch (via
>  >> Alt TAB) to the new frame (the one created via C-x 5 2), the message
>  >> appears there.  When I now type C-p in the new frame, the minibuffer
>  >> window shrinks back but the space previously occupied by the modeline of
>  >> the window above is not redrawn, hence I get two modelines above each
>  >> other (Bug#2).
> 
> I've now traced this behavior back to this

"This behavior" being what? both the "nothing happens" part and the
"duplicate mode line" part?

> commit 9d6ec23f7d4f8fbbfdcea353c4b58e47f76a7342
> Author: Eli Zaretskii <[email-masked]>
> Date:   Sat Oct 24 18:54:15 2015 +0300
> 
>      Update frame title when redisplay scrolls selected window
> 
>      * src/xdisp.c (redisplay_window): Reconsider the frame's title
>      when the mode-line of the frame's selected window needs to be
>      updated.
> 
> In fact, removing the
> 
>        x_consider_frame_title (w->frame);
> 
> call from redisplay_window fixes both bugs here.

Can you explain how the call to x_consider_frame_title causes problems
with the echo area and the mode line?  That function recomputes the
frame's title, and AFAIK does nothing more.  So I'm really confused
here.